%define name xlockmore
%define version 5.01.2
%define release 3mdk
%define prefix %{_prefix}

Name: %{name}
Summary: An X terminal locking program.
Version: %{version}
Release: %{release}
Copyright: MIT
Group: Graphical desktop/Other
Source: ftp://ftp.tux.org/pub/tux/bagleyd/xlockmore/xlockmore-%{version}.tar.bz2
Source1: xlock.pamd
Requires: pam >= 0.59 
Requires: fortune-mod
Requires: %{_sysconfdir}/pam.d/system-auth
BuildRequires: esound-devel pam-devel Mesa-common-devel xpm-devel
Buildroot: %{_tmppath}/%{name}-%{version}-buildroot

%description
The xlockmore utility is an enhanced version of the standard xlock
program, which allows you to lock an X session so that other users
can't access it.  Xlockmore runs a provided screensaver until you type
in your password.

Install the xlockmore package if you need a locking program to secure
X sessions.

%prep
%setup -q

%build
autoconf
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr/X11R6 \
	--without-motif --without-gtk --enable-pam
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/{man/man1,bin,lib/X11/app-defaults}
mkdir -p $RPM_BUILD_ROOT/etc/pam.d
mkdir -p $RPM_BUILD_ROOT%{_datadir}/sounds/xlockmore

perl -p -i -e 's/-o root//g' Makefile */Makefile
make install prefix=$RPM_BUILD_ROOT/usr/X11R6 xapploaddir=$RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults/

install -m644 xlock/xlock.man $RPM_BUILD_ROOT/usr/X11R6/man/man1/xlock.1
install -m644 xlock/XLock.ad $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults/XLock
install -m644 %SOURCE1  $RPM_BUILD_ROOT/etc/pam.d/xlock

cp sounds/*.au $RPM_BUILD_ROOT%{_datadir}/sounds/xlockmore

chmod 755 $RPM_BUILD_ROOT/usr/X11R6/bin/xlock

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/X11R6/bin/xlock
/usr/X11R6/man/man1/xlock.1*
/usr/X11R6/lib/X11/app-defaults/XLock
%{_datadir}/sounds/xlockmore
%config(noreplace)/etc/pam.d/*

%changelog
* Wed Sep 19 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 5.01.2-3mdk
- As Lord Pitoun requires fix it so it works nicely with pam. :)

* Sat Jun 30 2001 Stefan van der Eijk <stefan@eijk.nu> 5.01.2-2mdk
- BuildRequires: esound-devel
- BuildRequires: xpm-devel
- Removed BuildRequires: libesound-devel

* Wed Jun 8 2001 Wenjun ZOU <zwj@mandrakesoft.com> 5.01.2-1mdk
- a new release

* Fri May 18 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 4.17.2-3mdk
- Correct BuildRequires (thanks to 	Ed Avis)

* Mon Jan  8 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 4.17.2-2mdk
- Correct bug 883
- Add missing sound files
- Clean spec

* Tue Nov 14 2000 Geoffrey Lee  <snailtalk@mandrakesoft.com> 4.17.2-1mdk
- new and shiny source.

* Sat Nov  4 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 4.17.1-3mdk
- fix build with gcc-2.96
- rebuild against new libstdc++

* Tue Oct  3 2000 Frederic Lepied <flepied@mandrakesoft.com> 4.17.1-2mdk
- pam_stack.
- noreplace.

* Tue Aug 22 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 4.17.1-1mdk
- security release

* Fri Jul  7 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 4.16.1-2mdk
- regenerate autoconf if you want to link with the sane Mesa from XFree4.
- Fix build with XFree4.

* Sun Jun  4 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 4.16.1-1mdk
- Spec clean-up.
- 4.16.1 (fix security bug: it print the shadow password information).

* Fri Mar 30 2000 DindinX <odin@mandrakesoft.com> 4.15-4mdk
- Fix group
- Spec updates

* Wed Dec 08 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Really link against the right lib...
- fix non-root build

* Wed Dec 08 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- rebuild linking against Mesa 3.1cvs (uses OpenGL naming of libs instead
  of libMesa*.so stuff)

* Mon Nov 15 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 4.15

* Mon Nov  1 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Enable SMP build/check

* Mon Nov  1 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fix compilation with gcc2.95.

* Sat Jul 17 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- 4.14

* Thu May 06 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Fri Dec 18 1998 Bill Nottingham <notting@redhat.com>
- update to 4.12

* Tue Oct 13 1998 Cristian Gafton <gafton@redhat.com>
- take out some modules to avoid TMv

* Fri Sep 18 1998 Bill Nottingham <notting@redhat.com>
- turned PAM support on in ./configure 

* Fri Sep 11 1998 Preston Brown <pbrown@redhat.com>
- Upgraded to 4.11

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Sat Apr 11 1998 Donnie Barnes <djb@redhat.com>
- upgraded to 4.09
- removed Michael's PAM patch (it's now available in the sources)

* Thu Oct 23 1997 Marc Ewing <marc@redhat.com>
- upgrade to 4.05
- add wmconfig

* Mon Oct 13 1997 Michael K. Johnson <johnsonm@redhat.com>
- Upgraded to 4.04
- Changed pam to new conventions
- Use configure instead of imake
- buildroot

* Mon Jul 21 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Mon Mar 03 1997 Michael K. Johnson <johnsonm@redhat.com>
- moved from pam.conf to pam.d

